﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// Detective struct that handles all the specific values a detective will have.
/// References to abilities will be added here, may convert to a class at that point - Advice with regards to this required.
/// </summary>
[System.Serializable]
public struct Detective
{
    public Person Det;
    public int detectiveID;
    
    [Range(0.0f, 100.0f)]
    public float SearchAbility;
} 